kas create                 AFS Commands              kas create


NAME

   kas   create -- create   an  entry  in  the  Authentication

                       Database.


   kas create  -name <name of user>  [-initial_password
   <initial password>]
   [-admin_username <admin principal to use for
   authentication>]
   [-password_for_admin <admin password>] [-cell <cell name>]
             [-servers <explicit list of authentication
           +
   servers> ]  [-noauth]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas c -na <name of user>  [-i <initial password>]
   [-a <admin principal to use for authentication>]  [-p <admin
   password>]
   [-c <cell name>]  [-s <explicit list of authentication
           +
   servers> ]  [-no]  [-h]

DESCRIPTION

   Creates an entry in  Authentication  Database  for  name  of
   user.    The Authentication Server converts initial password
   into a form suitable for  use  as  an  encryption  key,  and
   places it in the entry's key field.

ARGUMENTS

   -name             specifies    the    name    of   the   new
                     Authentication Database entry.  It will be
                     the user name under which the user logs in
                     to the system.

   -initial_password specifies a  character  string  that  will
                     become   the   user's   password.      The
                     Authentication Server scrambles it into an
                     octal  key  and places it in the key field
                     of the Database entry.  If the issuer does
                     not  provide  it,  it will be prompted for
                     (if it is not provided at the  prompt  the
                     create operation fails).  The advantage of
                     waiting  for  the  prompt  is   that   the
                     password does not echo on the screen.

   -admin_username   specifies  the  user  name under which the
                     issuer wishes to perform the command.  See
                     section  4.3  in  the Reference Manual for
                     more details.  -password_for_admin
                     specifies   the  issuer's  password.    If
                     provided here, the password is visible  on
                     the  screen.    If  the  issuer  does  not
                     provide it, it will be  prompted  for  and
                     not be visible on the screen.  See section
                     4.3  in  the  Reference  Manual  for  more



                     details.  -cell
                     specifies the cell in  which  to  run  the
                     command,  if  not  the  local  cell.   See
                     section 4.3 in the  Reference  Manual  for
                     more details.  -servers
                     specifies the database  server  machine(s)
                     with which to establish a connection.  See
                     section 4.3 in the  Reference  Manual  for
                     more details.  -noauth
                     establishes an unauthenticated  connection
                     between  the  Authentication  Servers  and
                     issuer, whom they assign the  unprivileged
                     identity  anonymous rather than attempting
                     mutual authentication.  See section 4.3 in
                     the  Reference  Manual  for  more details.
                     -help
                     prints  the  online help for this command.
                     Do not  provide  any  other  arguments  or
                     flags  with  this one.  See section 4.3 in
                     the Reference Manual for more details.

EXAMPLE

   The following shows the prompts  that  appear  when  someone
   authenticated  as  admin  creates an Authentication Database
   entry for the user  smith,  and  does  not  specify  smith's
   initial  password  on the command line.  The passwords typed
   at the prompts do not echo visibly.

   % kas cr smith  Password for admin:   initial_password:
   Verifying, please re-enter initial_password:

PRIVILEGE REQUIRED

   Issuer  must  have  the  ADMIN  flag  set  in  his  or   her
   Authentication Database entry.

MORE INFORMATION

   kas examine
